<<

# Bugzilla::FlagType

- NAME
- SYNOPSIS
- NOTES
  - METHODS
- PUBLIC FUNCTIONS/METHODS
- SEE ALSO
- CONTRIBUTORS

# NAME

Bugzilla::FlagType - A module to deal with Bugzilla flag types.

# SYNOPSIS

FlagType.pm provides an interface to flag types as stored in Bugzilla. See below for more information.

# NOTES

- Use of private functions/variables outside this module may lead to unexpected results after an upgrade. Please avoid using private functions in other files/modules. Private functions are functions whose names start with _ or are specifically noted as being private.

## METHODS

`id`

  Returns the ID of the flagtype.

`name`

  Returns the name of the flagtype.

`description`

  Returns the description of the flagtype.

`cc_list`

  Returns the concatenated CC list for the flagtype, as a single string.

`target_type`

  Returns whether the flagtype applies to bugs or attachments.

`is_active`

  Returns whether the flagtype is active or disabled. Flags being in a disabled flagtype are not deleted. It only prevents you from adding new flags to it.

`is_requestable`

  Returns whether you can request for the given flagtype (i.e. whether the '?' flag is available or not).

`is_requesteeble`

  Returns whether you can ask someone specifically or not.

`is_multiplicable`

  Returns whether you can have more than one flag for the given flagtype in a given bug/attachment.

`sortkey`

  Returns the sortkey of the flagtype.

`grant_list`

  Returns a reference to an array of users who have permission to grant this flag type. The arrays are populated with hashrefs containing the login, identity and visibility of users.

`grant_group`

  Returns the group (as a Bugzilla::Group object) in which a user must be in order to grant or deny a request.

`request_group`

  Returns the group (as a Bugzilla::Group object) in which a user must be in order to request or clear a flag.

`flag_count`

  Returns the number of flags belonging to the flagtype.

`inclusions`

  Return a hash of product/component IDs and names explicitly associated with the flagtype.

`exclusions`

  Return a hash of product/component IDs and names explicitly excluded from the flagtype.

# PUBLIC FUNCTIONS/METHODS

`get_clusions($id, $type)`

  Return a hash of product/component IDs and names associated with the flagtype: $clusions{'product_name:component_name'} = "product_ID:component_ID"

`match($criteria)`

  Queries the database for flag types matching the given criteria and returns a list of matching flagtype objects.

`count($criteria)`

  Returns the total number of flag types matching the given criteria.

# SEE ALSO

Bugzilla::Flags

# CONTRIBUTORS

Myk Melez <myk@mozilla.org>
Kevin Benton <kevin.benton@amd.com>
FrÃ©dÃ©ric Buclin <LpSolit@gmail.com>

<<